Bug 709082 - [RFE] Please package Click Modular Router
Summary: [RFE] Please package Click Modular Router
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
unspecified
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Radek Vokal
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-30 14:55 UTC by Vedran Miletić
Modified: 2014-03-17 03:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-31 17:25:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vedran Miletić 2011-05-30 14:55:07 UTC
Description:
"Click is a new software architecture for building flexible and configurable routers. A Click router is assembled from packet processing modules called elements. Individual elements implement simple router functions like packet classification, queueing, scheduling, and interfacing with network devices. A router configuration is a directed graph with elements at the vertices; packets flow along the edges of the graph. Several features make individual elements more powerful and complex configurations easier to write, including pull connections, which model packet flow driven by transmitting hardware devices, and flow-based router context, which helps an element locate otherinteresting elements."

Link:
http://read.cs.ucla.edu/click/

License:
According to http://read.cs.ucla.edu/click/license it's a combination of MIT/BSD and W3C license.

Kernel patch is optional.

It seems to me that build procedure is fairly standard and packaging it shouldn't be hard.

Comment 1 Bill Nottingham 2011-05-31 17:25:20 UTC
We don't include packages without a willing maintainer. If you'd like to maintain this package in Fedora, the process is at:

https://fedoraproject.org/wiki/Join#OS_Developer

Closing as 'DEFERRED'; this won't be packaged unless someone picks it up.

Comment 2 Jose Pedro Oliveira 2013-01-23 18:11:18 UTC
I've an old specfile (and SRPM) that can be used as a starting point by a willing maintainer:

http://um-pe09-2.di.uminho.pt/fedora/click.spec
http://um-pe09-2.di.uminho.pt/fedora/click-2.0.1-0.1.el6.src.rpm

Comment 3 Vedran Miletić 2013-01-23 18:21:29 UTC
Interesting. I'm busy with other things right now, but I will look into this as a part of http://fedoraproject.org/wiki/Features/Ns3

Comment 4 Jose Pedro Oliveira 2013-01-23 18:33:46 UTC
(In reply to comment #3)
> Interesting. I'm busy with other things right now, but I will look into this
> as a part of http://fedoraproject.org/wiki/Features/Ns3

I discovered this ticket in the above link ;)
BTW the SRPM still builds in Fedora 18.

/jpo


Note You need to log in before you can comment on or make changes to this bug.